easy_preset.h File Reference

Preset handling for easy encoder and decoder. More...

`#include "common.h"`

## Data Structures

struct | lzma_options_easy

## Functions

bool | lzma_easy_preset (lzma_options_easy *easy, uint32_t preset)

## Detailed Description

Preset handling for easy encoder and decoder.

## Function Documentation

## lzma_easy_preset()

bool lzma_easy_preset | ( | lzma_options_easy * | easy,
|  | uint32_t | preset
| ) |  |

Set *easy to the settings given by the preset. Returns true on error, false on success.

References lzma_options_easy::filters, lzma_filter::id, LZMA_FILTER_LZMA2, lzma_lzma_preset(), LZMA_VLI_UNKNOWN, lzma_options_easy::opt_lzma, and lzma_filter::options.

Referenced by get_options(), lzma_easy_decoder_memusage(), lzma_easy_encoder(), and lzma_easy_encoder_memusage().